<?php

namespace App\Common;

trait HelperTrait
{
    /**
     * 累加校检
     * @param array $dexArr
     * @return false|string
     * Author: Mead
     */
    public static function sumDexArr($dexArr = [])
    {
        $arr = [];
        foreach ($dexArr as $dex) {
            $arr[] = hexdec($dex);
        }
        $sum = array_sum($arr);
        $dexSum = base_convert((string)$sum, 10, 16); //再转成16进制 = 127
        return substr($dexSum, -2);
    }

    /**
     * 分割成数组（1字节）
     * @param $message
     * @return array
     * Author: Mead
     */
    public static function str2arr($message)
    {
        return str_split(str_replace(' ', '', trim($message)), 2);
    }
}